#include "serialbasehandle.h"
#include "logserialport.h"
#include "assictscalet2000.h"
#include <pqQtlib/log/pqlog.h>
SerialBaseHandle::SerialBaseHandle()
{

}

SerialBaseHandle::~SerialBaseHandle()
{

}


SerialBaseHandle * SerialBaseHandle::getHandler(int type, const QString & result)
{
    pqDInfo << " getHandler <<" << type;
    SerialBaseHandle *ret = nullptr;
    switch (type) {
        case 0:
        ret = new LogSerialPort();
        break;
    case 1:
        ret = new AssicTScaleT2000();
        break;
    default:
        break;
    }
    return ret;
}
